%define major 0

%define libname %mklibname assuan %{major}
%define develname %mklibname assuan -d

Summary:	Assuan - an IPC library for non-persistent servers
Name:		libassuan
Version:	2.5.4
Release:	%mkrel 1
License:	LGPLv3
Group:		System/Libraries
URL:		https://www.gnupg.org/
Source0:	https://gnupg.org/ftp/gcrypt/%{name}/%{name}-%{version}.tar.bz2
Source1:	https://gnupg.org/ftp/gcrypt/%{name}/%{name}-%{version}.tar.bz2.sig
BuildRequires:	libgpg-error-devel

%description
This is the IPC library used by GnuPG 1.9, gpgme and the old newpg
package. It used to be included with the latter packages but the
authors decided to separated it out to a standalone library.

%package -n	%{libname}
Summary:	An IPC library for non-persistent servers
Group:		System/Libraries
Obsoletes:	libassuan < 2.0.0-4
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This is the IPC library used by GnuPG 1.9, gpgme and the old newpg
package. It used to be included with the latter packages but the
authors decided to separated it out to a standalone library.

%package -n	%{develname}
Summary:	Header files and static library for assuan
Group:		Development/C
Provides:	libassuan-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
Header files and static library for assuan.

%prep
%setup -q

%build
%configure \
	--includedir=%{_includedir}/libassuan2 \
	--with-pic \
	--enable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/libassuan.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog AUTHORS NEWS README
%{_bindir}/libassuan-config
%{_includedir}/libassuan2
%{_datadir}/aclocal/*.m4
%{_libdir}/libassuan.so
%{_libdir}/libassuan.a
%{_infodir}/*.info*
%{_libdir}/pkgconfig/libassuan.pc


%changelog
* Wed Nov 18 2020 luigiwalser <luigiwalser> 2.5.4-1.mga8
+ Revision: 1647127
- 2.5.4

* Sat Feb 15 2020 umeabot <umeabot> 2.5.3-2.mga8
+ Revision: 1523553
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Mar 06 2019 daviddavid <daviddavid> 2.5.3-1.mga7
+ Revision: 1371783
- new version: 2.5.3

* Tue Dec 25 2018 wally <wally> 2.5.2-1.mga7
+ Revision: 1344950
- new version 2.5.2
- drop multiarch support
- drop old obsoletes

* Mon Sep 03 2018 tv <tv> 2.5.1-2.mga7
+ Revision: 1256800
- rely on filetriggers for info system (mga#23482)

* Wed Mar 28 2018 kekepower <kekepower> 2.5.1-1.mga7
+ Revision: 1213055
- Update to version 2.5.1

* Thu Aug 11 2016 luigiwalser <luigiwalser> 2.4.3-1.mga6
+ Revision: 1045493
- 2.4.3

* Thu Mar 31 2016 neoclust <neoclust> 2.4.2-2.mga6
+ Revision: 997094
- Fix includedir

* Fri Jan 01 2016 luigiwalser <luigiwalser> 2.4.2-1.mga6
+ Revision: 917727
- 2.4.2

* Wed Sep 09 2015 fwang <fwang> 2.3.0-1.mga6
+ Revision: 874551
- 2.3.0

* Sun Jun 21 2015 luigiwalser <luigiwalser> 2.2.1-1.mga6
+ Revision: 837309
- 2.2.1
- 2.1.3

* Wed Oct 15 2014 umeabot <umeabot> 2.1.2-3.mga5
+ Revision: 740764
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.2-2.mga5
+ Revision: 681335
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 luigiwalser <luigiwalser> 2.1.2-1.mga5
+ Revision: 670138
- 2.1.2

* Sat Oct 19 2013 umeabot <umeabot> 2.1.1-2.mga4
+ Revision: 528615
- Mageia 4 Mass Rebuild
+ fwang <fwang>
- cleanup spec

* Wed Jun 26 2013 fwang <fwang> 2.1.1-1.mga4
+ Revision: 446807
- new version 2.1.1

* Sat Jan 12 2013 umeabot <umeabot> 2.0.3-2.mga3
+ Revision: 356828
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 fwang <fwang> 2.0.3-1.mga2
+ Revision: 199352
- new version 2.0.3

* Fri Dec 16 2011 wally <wally> 2.0.2-2.mga2
+ Revision: 182606
- drop .la files (mga#3787)
- clean .spec a bit

* Tue Jul 05 2011 fwang <fwang> 2.0.2-1.mga2
+ Revision: 118626
- add sig
- new version 2.0.2

* Sat Jan 15 2011 mikala <mikala> 2.0.1-1.mga1
+ Revision: 18398
- imported package libassuan


* Sun Aug 15 2010 Emmanuel Andry <eandry@mandriva.org> 2.0.1-1mdv2011.0
+ Revision: 570206
- New version 2.0.1

* Sat Feb 20 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.0-4mdv2010.1
+ Revision: 508847
- apply a library policy here
- protect major
- obsolete old library
- enable build of static library

  + Lonyai Gergely <aleph@mandriva.org>
    - (re)fix libgpg-error-devel

* Mon Jan 11 2010 Funda Wang <fwang@mandriva.org> 2.0.0-1mdv2010.1
+ Revision: 489637
- fix BR

  + Lonyai Gergely <aleph@mandriva.org>
    - Add new dependency libgpg-error
    - 2.0.0

* Sun Aug 10 2008 Emmanuel Andry <eandry@mandriva.org> 1.0.5-1mdv2009.0
+ Revision: 270354
- New version

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0.4-1mdv2009.0
+ Revision: 136546
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 15 2007 Emmanuel Andry <eandry@mandriva.org> 1.0.4-1mdv2008.1
+ Revision: 120427
- New version
- drop obsoleted mdkversion conditionnals

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 1.0.2-3mdv2008.0
+ Revision: 70305
- kill file require on info-install

* Sun Jul 22 2007 Funda Wang <fwang@mandriva.org> 1.0.2-2mdv2008.0
+ Revision: 54430
- Obsoletes old static-devel

* Fri Jul 06 2007 Andreas Hasenack <andreas@mandriva.com> 1.0.2-1mdv2008.0
+ Revision: 49174
- updated to version 1.0.2
- updated license tag to LGPLv3


* Wed Nov 29 2006 Andreas Hasenack <andreas@mandriva.com> 1.0.1-2mdv2007.0
+ Revision: 88682
- make double sure we use pth
- enabled pth support

* Wed Nov 29 2006 Andreas Hasenack <andreas@mandriva.com> 1.0.1-1mdv2007.1
+ Revision: 88652
- work on x86_64 provides/requires/obsoletes/names
- updated to version 1.0.1
- drop dynamic library patch, follow upstream which only
  has a static one
- rearranged packaging because of the above
- Import libassuan

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.6.10-2mdk
- Rebuild

* Wed Aug 10 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.10-1mdk
- New release 0.6.10

* Wed Jun 15 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.9-1mdk 
- new release

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.6.8-2mdk
- fix deps and conditional %%multiarch
- fix requires-on-release

* Sun Dec 26 2004 Abel Cheung <deaddog@mandrake.org> 0.6.8-1mdk
- New release 0.6.8

* Thu Aug 19 2004 Abel Cheung <deaddog@mandrakesoft.com> 0.6.6-1mdk
- New release 0.6.6

* Fri May 21 2004 Abel Cheung <deaddog@deaddog.org> 0.6.5-1mdk
- New version
- Drop old patch1, use autoreconf instead
- Patch1: No m4 dir in source, remove such reference in Makefile.am,
  otherwise autoreconf won't work

* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 0.6.2-1mdk
- New version

* Fri Jan 23 2004 Abel Cheung <deaddog@deaddog.org> 0.6.1-2mdk
- Revert many stuff back
- Remove patch1 (info)
- New Patch1: fix configure script generated by autoconf > 2.57
- Add back info files
- Include file signature

* Thu Dec 11 2003 Abel Cheung <deaddog@deaddog.org> 0.6.1-1mdk
- 0.6.1
- (mistakenly overwritten Florin's package)

